//
//  DetailFilmViewController.swift
//  Projet - RottenTomatoes version swift
//
//  Created by Alain on 2014-09-13.
//  Copyright (c) 2014 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================


import UIKit

class DetailFilmViewController: UIViewController {

    var detailFilm = NSDictionary()
 
    @IBOutlet weak var     detailPochette: UIImageView!
    @IBOutlet weak var     detailPochetteDetailed: UIImageView!
    @IBOutlet weak var     detailPochetteProfile: UIImageView!
    @IBOutlet weak var     detailPochetteThumbnail: UIImageView!
   
    @IBOutlet weak var     synopsis:UITextView!
    @IBOutlet weak var     critiques:UITextView!
    @IBOutlet weak var     detailPersonnages:UITextView!

    @IBOutlet weak var     detailAnnee: UILabel!
    @IBOutlet weak var     detailClassement: UILabel!
    @IBOutlet weak var     detailDuree: UILabel!
    @IBOutlet weak var     detailAppPublic: UILabel!
    @IBOutlet weak var     detailPointPublic: UILabel!
    @IBOutlet weak var     detailPointCritique: UILabel!
    @IBOutlet weak var     detailSortieSalle: UILabel!
    @IBOutlet weak var     detailSortieDVD: UILabel!
    @IBOutlet weak var     detailTitre: UILabel!
    
     @IBAction func retourALaListe(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    } // retourALaListe
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        self.detailTitre.text       = detailFilm["title"] as NSString
        
        var urlImage = (detailFilm["posters"] as NSDictionary)["original"] as NSString
        // Patch ajoutée 2014.08.25 - rotten ne fournit plus de grosses images dans le feed jason
        urlImage = urlImage.stringByReplacingOccurrencesOfString("tmb", withString: "det")
        self.detailPochette.image = UIImage(data:NSData.dataWithContentsOfURL(NSURL(string: urlImage), options: nil, error: nil))

        
        //self.synopsis.text = [self valeurDe: self.detailFilm[@"synopsis"]];
        //self.critiques.text = [self valeurDe:self.detailFilm[@"critics_consensus"]];
        
        //        self.detailAnnee.text            = detailFilm["year"] as NSString
        //        self.detailAppPublic.text        = (detailFilm["ratings"] as NSDictionary) ["audience_rating"] as NSString
        //        self.detailClassement.text       = detailFilm["mpaa_rating"] as NSString
        //        self.detailDuree.text            = detailFilm["runtime"] as NSString
//        self.detailPointCritique.text    = (detailFilm["ratings"] as NSDictionary)["critics_score"]  as NSString
//        self.detailPointPublic.text      = (detailFilm["ratings"] as NSDictionary)["audience_score"] as NSString
//        self.detailSortieSalle.text      = (detailFilm["release_dates"] as NSDictionary)["theater"] as NSString
//        self.detailSortieDVD.text        = (detailFilm["release_dates"] as NSDictionary)["dvd"] as NSString
        
        // Construire la liste des personnages et acteurs
        var personnages = ""
       
        /*
        for (NSDictionary * acteur in self.detailFilm[@"abridged_cast"]) {
            NSLog(@"acteur = %@",acteur[@"characters"]);
            [personnages appendFormat:@"Personnage --> %@, Acteur --> %@\n", acteur[@"characters"][0],  acteur[@"name"]];
        */
        
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    } // didReceiveMemoryWarning


}
